On 08/04/2017 06:31 AM, Shuah Khan wrote:
Hi Li Zhijian,
Thanks for the patch.
On 08/02/2017 08:31 PM, Li Zhijian wrote:
add Shuah Khan
On 08/03/2017 10:17 AM, Li Zhijian wrote:
Previously, make run_tests -C cpu-hotplug always PASS since cpu-on-off-test.sh
always exit 0 even though the test got some unexpected errors
Could you rephrase the change log to indicate clearly the problem you are fixing.
It looks like you are "Fixing the test to report failure conditions clearly"
Sure
Also, Please resend the patch to me. I can't apply forwarded patches.
root@debian9:/home/lizhijian/chroot/linux/tools/testing/selftests/cpu-hotplug# make run_tests
pid 878's current affinity mask: 1
pid 878's new affinity mask: 1
CPU online/offline summary:
Cpus in online state: 0
Cpus in offline state: 0
Limited scope test: one hotplug cpu
(leaves cpu in the original state):
online to offline to online: cpu 0
./cpu-on-off-test.sh: line 83: /sys/devices/system/cpu/cpu0/online: Permission denied
offline_cpu_expect_success 0: unexpected fail
./cpu-on-off-test.sh: line 78: /sys/devices/system/cpu/cpu0/online: Permission denied
online_cpu_expect_success 0: unexpected fail
selftests: cpu-on-off-test.sh [PASS]
Is this the output after your changes?
it's previous output, where i expect FAIL but it output PASS
Thanks
Signed-off-by: Li Zhijian <lizhijian@xxxxxxxxxxxxxx>
---
tools/testing/selftests/cpu-hotplug/cpu-on-off-test.sh | 16 ++++++++++++----
1 file changed, 12 insertions(+), 4 deletions(-)
diff --git a/tools/testing/selftests/cpu-hotplug/cpu-on-off-test.sh b/tools/testing/selftests/cpu-hotplug/cpu-on-off-test.sh
index 98b1d65..e3c7aea 100755
--- a/tools/testing/selftests/cpu-hotplug/cpu-on-off-test.sh
+++ b/tools/testing/selftests/cpu-hotplug/cpu-on-off-test.sh
@@ -89,8 +89,10 @@ online_cpu_expect_success()
if ! online_cpu $cpu; then
echo $FUNCNAME $cpu: unexpected fail >&2
+ return 1
elif ! cpu_is_online $cpu; then
echo $FUNCNAME $cpu: unexpected offline >&2
+ return 1
fi
}
@@ -100,8 +102,10 @@ online_cpu_expect_fail()
if online_cpu $cpu 2> /dev/null; then
echo $FUNCNAME $cpu: unexpected success >&2
+ return 1
elif ! cpu_is_offline $cpu; then
echo $FUNCNAME $cpu: unexpected online >&2
+ return 1
fi
}
@@ -111,8 +115,10 @@ offline_cpu_expect_success()
if ! offline_cpu $cpu; then
echo $FUNCNAME $cpu: unexpected fail >&2
+ return 1
elif ! cpu_is_offline $cpu; then
echo $FUNCNAME $cpu: unexpected offline >&2
+ return 1
fi
}
@@ -122,8 +128,10 @@ offline_cpu_expect_fail()
if offline_cpu $cpu 2> /dev/null; then
echo $FUNCNAME $cpu: unexpected success >&2
+ return 1
elif ! cpu_is_online $cpu; then
echo $FUNCNAME $cpu: unexpected offline >&2
+ return 1
fi
}
@@ -169,13 +177,13 @@ if [ $allcpus -eq 0 ]; then
echo "Limited scope test: one hotplug cpu"
echo -e "\t (leaves cpu in the original state):"
echo -e "\t online to offline to online: cpu $online_max"
- offline_cpu_expect_success $online_max
- online_cpu_expect_success $online_max
+ offline_cpu_expect_success $online_max || exit
+ online_cpu_expect_success $online_max || exit
if [[ $offline_cpus -gt 0 ]]; then
echo -e "\t offline to online to offline: cpu $offline_max"
- online_cpu_expect_success $offline_max
- offline_cpu_expect_success $offline_max
+ online_cpu_expect_success $offline_max || exit
+ offline_cpu_expect_success $offline_max || exit
fi
exit 0
else
thanks,
-- Shuah
.
--
Best regards.
Li Zhijian (8528)
--
To unsubscribe from this list: send the line "unsubscribe linux-kselftest" in
the body of a message to majordomo@xxxxxxxxxxxxxxx
More majordomo info at http://vger.kernel.org/majordomo-info.html